function die(string)
{
	print string;
	exit;
}


BEGIN {
	N = ENVIRON["N"];
	M = ENVIRON["M"];
	K = ENVIRON["K"];
	seed = ENVIRON["seed"];

	if (!M) 
		die("input M");
	if (!N) 
		die("input N");
	
	if (seed) 
		srand(seed);
	else
		srand(12345);
	
	if (K > N)
		die("K > N ??");
	
	for (i = 1; i <= M; ++i)
		for (j = 1; j <= N; ++j)
			X[i,j] = 1 - 2 * rand();
	
	for (i = 1; i <= M; ++i) {
		sum = 0;
		for (j = 1; j <= K; ++j)
			sum += X[i,j];
		if (sum > 0) 
			Y[i] = 1;
		else 
			Y[i] = 0;
	}

	for (i = 1; i <= M; ++i) {
		printf("%s ", Y[i]);
		for (j = 1; j < N; ++j)
			printf("%s ", X[i,j]);
		print X[i,N];
	}
}

